%{?mingw_package_header}

%global pkgname imath

Name:          mingw-%{pkgname}
Version:       3.1.9
Release:    1%{?dist}
Summary:       MinGW Windows %{pkgname} library

License:       BSD
URL:           http://www.openexr.com/
BuildArch:     noarch
Source0:       https://github.com/AcademySoftwareFoundation/Imath/archive/v%{version}/%{pkgname}-%{version}.tar.gz


BuildRequires: cmake
BuildRequires: make

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++

%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

%description -n mingw64-%{pkgname}
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n Imath-%{version}


%build
%mingw_cmake -DIMATH_INSTALL_PKG_CONFIG=ON -DBUILD_TESTING=OFF
%mingw_make_build


%install
%mingw_make_install


%files -n mingw32-%{pkgname}
%license LICENSE.md
%{mingw32_bindir}/libImath-3_1.dll
%{mingw32_includedir}/Imath/
%{mingw32_libdir}/libImath-3_1.dll.a
%{mingw32_libdir}/cmake/Imath/
%{mingw32_libdir}/pkgconfig/Imath.pc

%files -n mingw64-%{pkgname}
%license LICENSE.md
%{mingw64_bindir}/libImath-3_1.dll
%{mingw64_includedir}/Imath/
%{mingw64_libdir}/libImath-3_1.dll.a
%{mingw64_libdir}/cmake/Imath/
%{mingw64_libdir}/pkgconfig/Imath.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.9-1
- initial build
